// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UScriptStruct.h"

#include "SCW_UField.h"
#include "UObject/Class.h"


using namespace Sourcify;

SCW_UScriptStruct::SCW_UScriptStruct(UScriptStruct* InScriptStruct) : SCW_UStruct(InScriptStruct), ScriptStruct(InScriptStruct)
{

}

ISCW_UScriptStructPtr SCW_UScriptStruct::ToUScriptStructPtr()
{
	return GetSharedThisAs<SCW_UScriptStruct>();
}

ISCW_UScriptStructConstPtr SCW_UScriptStruct::ToUScriptStructConstPtr() const
{
	return GetSharedThisAs<SCW_UScriptStruct>();
}

UScriptStruct* SCW_UScriptStruct::ToUScriptStruct() const
{
	return ScriptStruct;
}
